#ifndef ENCRYPTDECRYPT_H
#define ENCRYPTDECRYPT_H

#include <string>

// Caesar Cipher
std::string caesarEncrypt(const std::string& text, int key);
std::string caesarDecrypt(const std::string& text, int key);

// XOR Cipher
std::string xorEncryptDecrypt(const std::string& text, char key);

// Vigenère Cipher
std::string vigenereEncrypt(const std::string& text, const std::string& key);
std::string vigenereDecrypt(const std::string& text, const std::string& key);

// File operations
std::string readFile(const std::string& fileName);
void writeFile(const std::string& fileName, const std::string& content);

#endif
